    ﻿import { Zondy } from '../../../base'
    import CThemeInfo from './CThemeInfo'
    import { defaultValue } from '../../../util'

    /**
     * 专题图信息统计类
     * @class module:专题图服务.CChartThemeInfo
     * @classdesc 专题图信息统计类
     * @description Zondy.Object.Theme.CChartThemeInfo
     * @extends CThemeInfo
     * @param {Object} options 属性键值对。
     * @param {String} expression 字段表达式
     */
    class CChartThemeInfo extends CThemeInfo {
      constructor(expression, options) {
        super(options)
        options = defaultValue(options, {})

        this.Expression = expression !== undefined ? expression : ''
      }
    }
    export default CChartThemeInfo
    Zondy.Object.Theme.CChartThemeInfo = CChartThemeInfo